Bug 1466964 - Auto-creating a btrfs layout in 'custom' mode results in a swap space size warning (not on Server)
Auto-creating a btrfs layout in 'custom' mode results in a swap space size wa...
Status: MODIFIED
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
26
All Linux
unspecified Severity medium
: ---
: ---
Assigned To: Vendula Poncova
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-06-30 19:14 EDT by Adam Williamson
Modified: 2018-05-03 04:28 EDT (History)
6 users (show)

See Also:
Fixed In Version: anaconda-28.11-1
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Adam Williamson 2017-06-30 19:14:56 EDT
To reproduce: 

0. start with a recent Everything Fedora 26 installer image (*not* Server), e.g. https://kojipkgs.fedoraproject.org/compose/26/Fedora-26-20170630.0/compose/Everything/x86_64/iso/Fedora-Everything-netinst-x86_64-26-1.1.iso ) , use a VM with 2GiB of RAM and a ~10GiB hard disk
1. Go to INSTALLATION DESTINATION
2. Select a disk and select custom partitioning
3. In custom partitioning, remove any existing volumes so the disk is empty
4. Change the drop-down to 'Btrfs'
5. Click the 'create them automatically' text (a 2GiB swap partition will be created)
6. Click 'Done'

For me, this reliably results in an orange warning bar. When you click 'Click for details', it shows:

Your swap space is less than 2.08 GiB which is lower than recommended.

Of course, the automatic partitioning code and the 'is this swap big enough' code shouldn't disagree...

Note, this doesn't happen with Server (I think because it specifies different rules for swap partition size), and it doesn't happen with LVM or 'standard partition' volume types, only Btrfs.
Comment 1 Vendula Poncova 2017-11-07 05:16:50 EST
Fixed in a pull request: https://github.com/rhinstaller/anaconda/pull/1232
Comment 2 Fedora End Of Life 2018-05-03 04:28:03 EDT
This message is a reminder that Fedora 26 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 26. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '26'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 26 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Note You need to log in before you can comment on or make changes to this bug.